package be.iminds.ilabt.jfed.experimenter_gui.tutorials;

import com.google.common.eventbus.EventBus;

import javax.inject.Inject;
import javax.inject.Singleton;

/**
 * User: twalcari
 * Date: 3/14/2016
 * Time: 16:20
 */
@Singleton
public class TutorialViewsFactory {

    private final EventBus eventBus;


    @Inject
    public TutorialViewsFactory(EventBus eventBus) {
        this.eventBus = eventBus;
    }

    public TutorialDescriptionView createTutorialDescriptionView(Tutorial tutorial, DialogActionsProvider dialogActionsProvider){
        return new TutorialDescriptionView(tutorial, this, dialogActionsProvider);
    }

    public TutorialDetailView createTutorialDetailView(Tutorial tutorial){
        return new TutorialDetailView(tutorial, eventBus);
    }

    public TutorialsView createTutorialsView(Tutorials tutorials) {
        return new TutorialsView(tutorials, this);
    }
}
